Skip to main content
`Ctrl`+`K`

# KSPPIPEFCGGetMmax

get the maximum number of previous directions `KSPPIPEFCG` will store

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetMmax(KSP ksp, PetscInt *mmax)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- mmax - the maximum number of previous directions allowed for orthogonalization

## See Also

KSP: Linear System Solvers, `KSPPIPEFCG`, `KSPPIPEFCGGetTruncationType()`, `KSPPIPEFCGGetNprealloc()`, `KSPPIPEFCGSetMmax()`, `KSPFCGGetMmax()`, `KSPFCGSetMmax()`

## Level

intermediate

## Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages